import java.io.BufferedOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;


public class Driver
{
    public static void main(String[] args) throws IOException
    {
        TreeElement t1 = new TreeElement(new Person("Bob", 42));
        TreeElement t2 = new TreeElement(new Person("Kevin", 5));
        TreeElement t3 = new TreeElement(new Person("Sarah", 8));
        TreeElement t4 = new TreeElement(new Person("Karl", 88));
        TreeElement t5 = new TreeElement(new Person("Donald", 676));
        
        t1.addLeft (t2);
        t2.addLeft (t3);
        t2.addRight (t4);
        t3.addLeft(t5);
        
        System.out.println(t1);
        
        FileOutputStream fos = new FileOutputStream("people.dat");  // bytes
        BufferedOutputStream bos = new BufferedOutputStream(fos);   // "pile" of bytes
        ObjectOutputStream oos = new ObjectOutputStream(bos);       // oos
        
        oos.writeObject (t1);
        
        oos.close ();
        
        
    }
}
