import java.io.Serializable;


public class TreeElement implements Serializable
{
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    transient private Person p;
    
    private TreeElement left;
    private TreeElement right;
    
    public TreeElement(Person p)
    {
        this.p = p;
        left = right = null;
        
    }
    
    public void addLeft(TreeElement t)
    {
        left = t;
    }
    
    public void addRight(TreeElement t)
    {
        right = t;
    }
    
    public String toString()
    {
        String s = "";
        if(left != null)
            s += left;
        s += p + "\n";
        if(right != null)
            s += right;
        
        return s;
    }
}
